#
# Spec file for prolinga-doc
#
Summary: 	ProLinga Documentation.
Name: 		prolinga-doc
Version: 	0.0.2
Release: 	1.fc12.xobas
License: 	GPL
Group:		System Environment/Libraries
Source: 	http://download.prolinga.org/main/sources/%{name}-%{version}.tar.bz2
URL: 		http://www.xobas.com/
Vendor: 	Xobas Software
Packager: 	Bas Driessen <bas.driessen@xobas.com>
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
The ProLinga-Doc is the documentation project.

%package devel
Summary:	Source DocBook XML documents.
Group:		Development/Libraries
Requires:	%name = %{version}

%description devel
This package contains the source docbook xml documents.

%prep
%setup -q

%build
%configure
make
#make html

%install
rm -rf %{buildroot}
%makeinstall
mkdir -p %{buildroot}/usr/share/doc/%{name}-%{version}/reference
mkdir -p %{buildroot}/usr/share/doc/%{name}-%{version}/tutorial
mkdir -p %{buildroot}/usr/share/doc/%{name}-devel-%{version}/reference
mkdir -p %{buildroot}/usr/share/doc/%{name}-devel-%{version}/tutorial

cp -rf doc/reference/html %{buildroot}/usr/share/doc/%{name}-%{version}/reference
cp -rf doc/tutorial/html %{buildroot}/usr/share/doc/%{name}-%{version}/tutorial
cp doc/reference/*.xml %{buildroot}/usr/share/doc/%{name}-devel-%{version}/reference
cp doc/reference/*.txt %{buildroot}/usr/share/doc/%{name}-devel-%{version}/reference
cp doc/tutorial/*.xml %{buildroot}/usr/share/doc/%{name}-devel-%{version}/tutorial
cp doc/tutorial/*.txt %{buildroot}/usr/share/doc/%{name}-devel-%{version}/tutorial
cp doc/*.xml %{buildroot}/usr/share/doc/%{name}-devel-%{version}
cp doc/*.xsl %{buildroot}/usr/share/doc/%{name}-devel-%{version}
cp AUTHORS %{buildroot}/usr/share/doc/%{name}-%{version}
cp COPYING %{buildroot}/usr/share/doc/%{name}-%{version}
cp ChangeLog %{buildroot}/usr/share/doc/%{name}-%{version}
cp README %{buildroot}/usr/share/doc/%{name}-%{version}
cp NEWS %{buildroot}/usr/share/doc/%{name}-%{version}

rm %{buildroot}/usr/share/doc/%{name}-%{version}/reference/*.xml
rm %{buildroot}/usr/share/doc/%{name}-%{version}/tutorial/*.xml
rm %{buildroot}/usr/share/doc/%{name}-%{version}/reference/*.txt
rm %{buildroot}/usr/share/doc/%{name}-%{version}/tutorial/*.txt

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}-%{version}/AUTHORS
%doc %{_docdir}/%{name}-%{version}/COPYING
%doc %{_docdir}/%{name}-%{version}/ChangeLog
%doc %{_docdir}/%{name}-%{version}/README
%doc %{_docdir}/%{name}-%{version}/NEWS
%doc %{_docdir}/%{name}-%{version}/reference/html
%doc %{_docdir}/%{name}-%{version}/tutorial/html

%files devel
%defattr(-, root, root)
%doc %{_docdir}/%{name}-devel-%{version}/*.xml
%doc %{_docdir}/%{name}-devel-%{version}/*.xsl
%doc %{_docdir}/%{name}-devel-%{version}/reference/*.xml
%doc %{_docdir}/%{name}-devel-%{version}/reference/*.txt
%doc %{_docdir}/%{name}-devel-%{version}/tutorial/*.xml
%doc %{_docdir}/%{name}-devel-%{version}/tutorial/*.txt

%changelog
* Sun Apr 11 2010 Bas Driessen <bas.driessen@xobas.com> 0.0.2-1.fc12
- Build for Fedora 12.

* Wed Sep 02 2009 Bas Driessen <bas.driessen@xobas.com> 0.0.2-1.fc11
- Build for Fedora 11.
- New upstream release.

* Tue May 20 2008 Bas Driessen <bas.driessen@xobas.com> 0.0.1-1.fc9
- Build for Fedora 9.

* Thu Jan 25 2008 Bas Driessen <bas.driessen@xobas.com> 0.0.1-1.fc8
- Initial spec file.



